BP_FASTAM9_TO_TABLE(1p)

NAME
fastm9_to_table - turn FASTA -m 9 output into NCBI -m 9 tabular output

SYNOPSIS
 fastm9_to_table [-e evaluefilter] [-b bitscorefilter] [--header] [-o outfile] inputfile1 inputfile2 ...

DESCRIPTION
Command line options:
  -e/--evalue evalue -- filter by evalue
  -b/--bitscore bitscore -- filter by bitscore
  --header -- boolean flag to print column header
  -o/--out -- optional outputfile to write data,
                        otherwise will write to STDOUT
  -h/--help -- show this documentation

Not technically a SearchIO script as this doesn't use any Bioperl components but is a useful and fast. The output is tabular output with the standard NCBI -m9 columns.

 queryname
 hit name
 percent identity
 alignment length
 number mismatches
 number gaps
 query start  (if on rev-strand start > end)
 query end
 hit start (if on rev-strand start > end)
 hit end
 evalue
 bit score

Additionally 3 more columns are provided
 fasta score
 sw-score
 percent similar
 query length
 hit length
 query gaps
 hit gaps

AUTHOR - Jason Stajich
Jason Stajich jason_at_bioperl-dot-org